import path_setting
from in_common.base_request import BaseRequest


class tractate_detail_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.TRACTATE_DETAIL_CONFIG)

    def tractate_detail(self, current_city_id, tractate_id, data_type):
        self.params["current_city_id"] = current_city_id
        self.params["tractate_id"] = tractate_id
        self.params["data_type"] = data_type
        return self.api_send(self.data["tractate_detail"])



